# TdApi.InputMessageDocument (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InputMessageDocument

Package it.tdlight.jni

# Class TdApi.InputMessageDocument

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessageDocument

Enclosing class:
  TdApi

    public static class TdApi.InputMessageDocument
    extends TdApi.InputMessageContent

A document message (general file).

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.FormattedText` | `caption` | Document caption; pass null to use an empty caption; 0-GetOption("message_caption_length_max") characters.
`static int` | `CONSTRUCTOR` |
`boolean` | `disableContentTypeDetection` | If true, automatic file type detection will be disabled and the document will be always sent as file.
`TdApi.InputFile` | `document` | Document to be sent.
`TdApi.InputThumbnail` | `thumbnail` | Document thumbnail; pass null to skip thumbnail uploading.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InputMessageDocument()` | A document message (general file).
`InputMessageDocument​(TdApi.InputFile document, TdApi.InputThumbnail thumbnail, boolean disableContentTypeDetection, TdApi.FormattedText caption)` | A document message (general file).
`InputMessageDocument​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### document

public TdApi.InputFile document
Document to be sent.

### thumbnail

public TdApi.InputThumbnail thumbnail
Document thumbnail; pass null to skip thumbnail uploading.

### disableContentTypeDetection

public boolean disableContentTypeDetection
If true, automatic file type detection will be disabled and the document will be always sent as file. Always true for files sent to secret chats.

### caption

public TdApi.FormattedText caption
Document caption; pass null to use an empty caption; 0-GetOption("message_caption_length_max") characters.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InputMessageDocument

public InputMessageDocument()
A document message (general file).

### InputMessageDocument

public InputMessageDocument​(TdApi.InputFile document, TdApi.InputThumbnail thumbnail, boolean disableContentTypeDetection, TdApi.FormattedText caption)
A document message (general file).

Parameters:
  `document` - InputFile Document to be sent.
  `thumbnail` - InputThumbnail Document thumbnail; pass null to skip thumbnail uploading.
  `disableContentTypeDetection` - boolean If true, automatic file type detection will be disabled and the document will be always sent as file. Always true for files sent to secret chats.
  `caption` - FormattedText Document caption; pass null to use an empty caption; 0-GetOption("message_caption_length_max") characters.

### InputMessageDocument

public InputMessageDocument​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`